System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.SqlCacheDependencyDatabase), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

The uses the to programmatically access and modify the databases element of the sqlCacheDependency in the cache configuration section.

Represents a collection of objects. This class cannot be inherited.

- Constructor

  The constructor is not intended to be used directly from your code. It is called by the ASP.NET configuration system. You obtain an instance of the class by using the property.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  Each in the collection must have a unique name.

  Adds a object to the collection.

  The name of the object to add to the collection. 2.0.0.0
- Property
  System.String[] To be added. To be added.

  Gets the keys.

  2.0.0.0
- Method
  System.Void

  This method inserts a clear directive into the appropriate section of the configuration file to remove all references to elements defined in a higher-level configuration file.

  Removes all the objects from the collection.

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement

  When a collection is loaded from the configuration file, this method is called internally to create individual elements.

  Creates a new element.

  A new element.

  2.0.0.0
- Method
  System.Web.Configuration.SqlCacheDependencyDatabase ``

  A null reference (Nothing in Visual Basic) is returned if no element exists at the specified index.

  Returns the element at the specified index.

  The element at the specified index.

  The index of the element to retrieve. 2.0.0.0
- Method
  System.Web.Configuration.SqlCacheDependencyDatabase ``

  A null reference (Nothing in Visual Basic) is returned if no element exists with the specified name.

  Returns the element with the specified name.

  The element with the specified name.

  The name of the element to retrieve. 2.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String ``

  A null reference (Nothing in Visual Basic) is returned if no element exists at the specified index.

  Returns the key for the element located at the specified index in the .

  The key at the specified index.

  The index of the key to return. 2.0.0.0
- Property
  System.Web.Configuration.SqlCacheDependencyDatabase `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.SqlCacheDependencyDatabase `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the object with the specified name from the collection.

  The name of the object to remove from the collection. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the object at the specified index from the collection.

  The index of the object to remove from the collection. 2.0.0.0
- Method
  System.Void ``

  The Set method modifies an existing element.

  A is thrown if the element already exists or is read-only.

  Resets a specified object that exists within the collection.

  The element to reset. 2.0.0.0